Bug 122322 - Modifying max number of saved word searches
Summary: Modifying max number of saved word searches
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2018-12-25 15:24 UTC by ff-mickael_jackson
Modified: 2019-09-15 14:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ff-mickael_jackson 2018-12-25 15:24:42 UTC
By default, Libreoffice Writer saves the 10 previous searched words: That's it, if you search for words after words in a document using Ctrl+F, you can see by clicking on the arrow next to the search input the 10 last searched words.

Sometimes, I'd need to look which words have been searched ealier than the 10 last searches.

The max number of saved word searches, i.e 10, is embedded in the source code. I propose that it's modifiable in the preferences.
Comment 1 Xisco Faulí 2019-02-07 16:30:06 UTC
it make sense
Comment 2 Heiko Tietze 2019-02-10 13:27:18 UTC
Default dropdown count on most if not all desktop environments is 8. And since we aim to be as close as possible to the OS/DE I'm against a higher value. However the request is clear and a simple expert configuration might solve the problem for those who need more items in the list. 

The patch is here https://gerrit.libreoffice.org/#/c/67614/ introducing the new expert configuration switch (Tools > Options > LibreOffice > Advanced) "FindReplaceRememberedSearches" placed under org::openoffice::Office::Common::Misc with a default of 10.
Comment 3 Commit Notification 2019-02-18 08:52:08 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/70e22d4996e71e019f62743893f041797f050361%5E%21

Resolves tdf#122322 - Modifying max number of saved word searches

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2019-06-04 17:41:01 UTC
I modified in Tools - Option - Advanced - Expert - FindReplaceRemembered from 10 to  30 but when searching is remembering only the last 10 resulta... Is another string that need to be changed, not the FindReplaceRemembered???
Comment 5 Heiko Tietze 2019-06-05 07:14:06 UTC
(In reply to BogdanB from comment #4)
> I modified in Tools - Option - Advanced - Expert - FindReplaceRemembered..

Try with "FindReplaceRememberedSearches". It should work with any value (if <1 the value is set to 1 since yesterday).